# InputStreamReader Class Reference

Inherits Reader.

List of all members.

## Detailed Description

Class for reading from character streams.

Decorates a byte based InputStream and provides appropriate conversion to characters.

## Public Member Functions

| InputStreamReader (const InputStreamPtr &in)
| Creates an InputStreamReader that uses the default charset.
| InputStreamReader (const InputStreamPtr &in, const CharsetDecoderPtr &enc)
| Creates an InputStreamReader that uses the given charset decoder.
| ~InputStreamReader ()
virtual void | close (Pool &p)
| Closes the stream.
virtual LogString | read (Pool &p)
LogString | getEncoding () const

## Constructor & Destructor Documentation

InputStreamReader | ( | const InputStreamPtr & | in | ) |

Creates an InputStreamReader that uses the default charset.

Parameters:

  | in | The input stream to decorate.

InputStreamReader | ( | const InputStreamPtr & | in,
|  | const CharsetDecoderPtr & | enc
| ) |

Creates an InputStreamReader that uses the given charset decoder.

Parameters:

  | in | The input stream to decorate.
  | enc | The charset decoder to use for the conversion.

~InputStreamReader | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) | `[virtual]`

Closes the stream.

Parameters:

  | p | The memory pool associated with the reader.

Implements Reader.

LogString getEncoding | ( |  | ) | const

Returns:
  The name of the character encoding being used by this stream.

virtual LogString read | ( | Pool & | p | ) | `[virtual]`

Returns:
  The complete stream contents as a LogString.

Parameters:

  | p | The memory pool associated with the reader.

Implements Reader.

The documentation for this class was generated from the following file:

- inputstreamreader.h